Bug 960732 - F19 Beta TC3: after completing guided partitioning, Installation Options screen never appears again
Summary: F19 Beta TC3: after completing guided partitioning, Installation Options scre...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-07 19:58 UTC by Adam Williamson
Modified: 2013-05-18 04:55 UTC (History)
6 users (show)

Fixed In Version: pykickstart-1.99.31-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-18 04:55:53 UTC


Attachments (Terms of Use)
Attempt to allow multiple passes at autopart (2.35 KB, patch)
2013-05-08 21:50 UTC, Brian Lane
no flags Details | Diff

Description Adam Williamson 2013-05-07 19:58:32 UTC
In F19 Beta TC3, if you go through the Installation Destination spoke and select guided partitioning (either 'go ahead and use the free space I have' or 'reclaim space') and complete it successfully, then on subsequent visits to the spoke, you don't see Installation Options again; you pick disks and hit Done and you're sent straight back to the hub. I don't think this is intended, I think Installation Options is supposed to come up again to let you modify your choices if you want to.

Comment 1 Brian Lane 2013-05-08 21:48:15 UTC
I think this is working like it is supposed to. We are locking out autopart unless you change something (disks selected, bootloader location). If you use custom you can repeat it multiple times. That feels pretty kludgy though, you really should be able to re-enter the spoke and change the autopart filesystem type for example.

Comment 2 Brian Lane 2013-05-08 21:50:43 UTC
Created attachment 745463 [details]
Attempt to allow multiple passes at autopart

Here's my unsuccessful attempt at fixing this so that you can repeat autopart. This patch looks like it works, but generates odd autopart layouts after multiple passes, switching between autopart and custom and back again. I think dlehman will need to look at it and see what else needs to be done.

Comment 3 David Lehman 2013-05-14 14:16:04 UTC
A change was made that prevented anaconda from re-executing code if no changes were made in the UI compared to previous visits. Because some critical decisions are made in the dialogs, it is not possible to skip them when the user has not made any changes in the main storage spoke itself. Surprise! Storage is an exception to an otherwise reasonable UI rule.

Comment 4 Fedora Update System 2013-05-15 22:25:56 UTC
anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19

Comment 5 Fedora Update System 2013-05-16 05:22:29 UTC
Package anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.27-1.fc19 pykickstart-1.99.31-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-05-17 22:19:52 UTC
Package pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.31-1.fc19 anaconda-19.28-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.28-1.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-05-18 04:55:53 UTC
pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.